=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                freerdp2-x11,
                gettext,
+               libkf5activities-dev (>= 5.90.0~),
                libkf5bookmarks-dev (>= 5.90.0~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
@@ -25,19 +28,20 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                libssh-dev,
                libvncserver-dev (>= 0.9.8.1),
+               pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
 
 Package: krdc
 Section: net
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: freerdp2-x11,
-Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: freerdp2-x11
+Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers
