=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true
+	dh_auto_configure -- -DHAVE_XFREERDP=true
 
 execute_after_dh_auto_install:
 	# Drop development files
