=== debian/changelog ===
krdc (4:25.03.70~git20241215.3813c8f7-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git shapshot with support for FreeRDP 3
  * Update build-deps and deps with the info from cmake.
  * Build against FreeRDP 3. (Closes: #1081527)
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 17 Dec 2024 08:19:12 +0100
