=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               freerdp2-dev,
+               freerdp3-dev,
                gettext,
                libkf6bookmarks-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
+               libkf6crash-dev (>= 6.0.0~),
                libkf6dnssd-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6iconthemes-dev (>= 6.0.0~),
@@ -34,15 +34,15 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
 
 Package: krdc
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: freerdp2-x11,
-Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
+Recommends: freerdp3-wayland | freerdp3-x11,
+Suggests: khelpcenter, krfb,
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers
