## krdc 25.03.70~git20250114.786409a6

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 include(ECMDeprecationSettings)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMInstallIcons)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)
 
@@ -89,10 +90,8 @@
 
 option(WITH_VNC "Enable VNC support." ON)
 add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
-option(WITH_RDP "Enable RDP support using FreeRDP version 2" ON)
+option(WITH_RDP "Enable RDP support using FreeRDP" ON)
 add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")
-option(WITH_RDP3 "Enable RDP support using FreeRDP version 3" OFF)
-add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Enable with -DWITH_RDP3=YES")
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
      KF 6.5.0
@@ -118,50 +117,49 @@
 endif()
 
 if(WITH_RDP)
-    find_package(FreeRDP 2.10)
+    # Workaround https://github.com/FreeRDP/FreeRDP/issues/11072
+    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD|DragonFly")
+        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/FreeRDP3)
+        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/FreeRDP-Client3)
+        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/WinPR3)
+    endif()
+
+    # Try to find FreeRDP 3, and if not found use FreeRDP 2
+    find_package(FreeRDP 3)
+    if (FreeRDP_FOUND)
+        find_package(WinPR 3)
+        find_package(FreeRDP-Client 3)
+    else()
+        find_package(FreeRDP 2)
+        find_package(WinPR 2)
+        find_package(FreeRDP-Client 2)
+    endif()
+
+    if (NOT FreeRDP_FOUND)
+        MESSAGE(FATAL_ERROR "RDP support is enabled but FreeRDP has not been found.")
+    endif()
+
+    MESSAGE(STATUS "Found FreeRDP version ${FreeRDP_VERSION_MAJOR}.${FreeRDP_VERSION_MINOR}.${FreeRDP_VERSION_REVISION}")
+
     set_package_properties(FreeRDP PROPERTIES
         DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
         URL "https://www.freerdp.com/"
         PURPOSE "FreeRDP provides RDP support"
         TYPE REQUIRED
     )
-    find_package(WinPR 2.10)
     set_package_properties(WinPR PROPERTIES
         DESCRIPTION "Windows Portable Runtime"
         URL "https://www.freerdp.com/"
         PURPOSE "Runtime used by FreeRDP"
         TYPE REQUIRED
     )
-    find_package(FreeRDP-Client 2.10)
     set_package_properties(FreeRDP-Client PROPERTIES
         DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
         URL "https://www.freerdp.com/"
         PURPOSE "FreeRDP provides RDP support"
         TYPE REQUIRED
     )
-    add_subdirectory(rdp)
-elseif(WITH_RDP3)
-    find_package(FreeRDP 3)
-    set_package_properties(FreeRDP PROPERTIES
-        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
-        URL "https://www.freerdp.com/"
-        PURPOSE "FreeRDP provides RDP support"
-        TYPE REQUIRED
-    )
-    find_package(WinPR 3)
-    set_package_properties(WinPR PROPERTIES
-        DESCRIPTION "Windows Portable Runtime"
-        URL "https://www.freerdp.com/"
-        PURPOSE "Runtime used by FreeRDP"
-        TYPE REQUIRED
-    )
-    find_package(FreeRDP-Client 3)
-    set_package_properties(FreeRDP-Client PROPERTIES
-        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
-        URL "https://www.freerdp.com/"
-        PURPOSE "FreeRDP provides RDP support"
-        TYPE REQUIRED
-    )
+
     add_subdirectory(rdp)
 endif()
 
@@ -235,6 +233,11 @@
 install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+ecm_install_icons(
+    ICONS sc-apps-krdc.svg
+    DESTINATION ${KDE_INSTALL_ICONDIR}
+)
+
 find_package(SharedMimeInfo)
 if(SharedMimeInfo_FOUND)
     install(FILES org.kde.krdc-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
