=== debian/changelog ===
krdc (4:25.03.70~git20250114.786409a6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git shapshot (25.03.70~git20250114.786409a6).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Jan 2025 23:20:56 +0100
