## krdc 25.03.80

=== debian/changelog ===
krdc (4:25.03.80-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.80).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 25 Mar 2025 18:06:03 +0100

krdc (4:25.03.70~git20250114.786409a6-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop configure override to correctly build the RDP support now that
    FreeRDP 3 is the default. (Closes: #1093623)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 15:35:19 +0100
