=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
-               freerdp3-dev,
+               freerdp3-dev (>= 3~),
                gettext,
                libkf6bookmarks-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
+               libkf6doctools-dev,
                libkf6dnssd-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6iconthemes-dev (>= 6.0.0~),
@@ -28,10 +29,13 @@
                libplasmaactivities-dev,
                libssh-dev,
                libvncserver-dev (>= 0.9.8.1),
+               libwinpr3-dev (>= 3~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
+               qt6-base-private-dev,
                qt6-wayland-dev (>= 6.6.0~),
-Standards-Version: 4.7.0
+               shared-mime-info,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
