## krdc 25.03.90

=== debian/changelog ===
krdc (4:25.03.90-0ubuntu1) plucky; urgency=medium

  * Sync changes from Debian unstable. Updating git snapshot to Beta release.
  * New upstream RC release (25.03.90)
  * Add Kubuntu Vcs and mainstainer fileds.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Mar 2025 14:38:25 +0000
