## krdc 25.04.2

=== debian/changelog ===
krdc (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - RDP: ensure rdpview gets closed on session disconnect. (kde#503176)
    - RDP: Fix passing domain from saved bookmark. (kde#503174)
    - Find Qt6Gui before using Qt6Gui_VERSION.
  * New upstream release (25.04.2).
    - RdpView: avoid multiple startQuitting() calls on the same connection.
    (kde#504622)
    - Fix config names mismatched between Ui and kcfg.
    - Fix parsing of user-supplied host:port preferences for proxy and
    gateway. (kde#504282)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:43:43 +0200

krdc (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:34 +0200

krdc (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 21:33:59 +0200
